@ECHO OFF

REM ################################################################################
REM Configuration Section

REM Path to UpdateTool.exe (relatvie to this batch file) 
set PATH_UPDATETOOL=..\UpdateTool

REM Configuration Section end
REM ################################################################################


ECHO Toradex Production Programming
ECHO ******************************
REM First clear registry
"%PATH_UPDATETOOL%\updatetool.exe" /cu 
REM Update bootloader 
"%PATH_UPDATETOOL%\updatetool.exe" /u bootloader,raw,\SD Card\backup\eboot.img
REM Update image
"%PATH_UPDATETOOL%\updatetool.exe" /u os,bin,\SD Card\backup\nk.bin
REM Update Config block
"%PATH_UPDATETOOL%\updatetool.exe" /u configblock,raw,\SD Card\backup\ConfigBlock.cfg
REM Update Registry
"%PATH_UPDATETOOL%\updatetool.exe" /u registry,raw,\SD Card\backup\Registry.ivr
REM Update File System
"%PATH_UPDATETOOL%\updatetool.exe" /u filesystem,raw,\SD Card\backup\FileSystem.ivf
ECHO Production programming done.
ECHO *******************************

